Cripay Docs

Create a merchant for the signed-in user

POST
/v1/merchants

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Request Body

application/json
  1. body
name*string
Length1 <= length
country?string
support_email?string
Formatemail
settlement_mode?string
Default"login_wallet"
Value in"managed_wallet""login_wallet""external_wallet""bitcoin_xpub"
vm_family?string
Value in"evm""solana""bitcoin"
chain?string
identifier?string

Response Body

Default Response

application/json
  1. response
id*string
account_id*string
owner_address*string
owner_vm_family*string
onboarding_completed*boolean
[key: string]?any
Example Request
curl -X POST 'http://127.0.0.1:3001/v1/merchants' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "account_id": "string",  "owner_address": "string",  "owner_vm_family": "string",  "onboarding_completed": true}